
CoCoA-5 - Support #225

HilbertBasis: cocoa vs normaliz

10 Sep 2012 10:40 - Anna Maria Bigatti

Status: Closed Start date: 10 Sep 2012

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Manual/documentation Estimated time: 1.50 hour

Target version: CoCoA-5.1.0 Easter14 Spent time: 1.50 hour

Description

In CoCoA HilbertBasis(M) is the HilbertBasis of the kernel of M.

In Normaliz is the HilbertBasis of the monoid "generated" by (the rows of) M.

Think about the names, and improve documentation in CoCoA.

2013-04-16 AMB changed name of cocoa function to HilbertBasisKer

Related issues:

Related to CoCoALib - Feature #227: HilbertBasis from Normaliz: full-lattice ... New 10 Sep 2012

Related to CoCoA-5 - Design #1194: Rename HilbertBasisKer into LinKerHilbertB... Rejected 25 Jun 2018

Related to CoCoA-5 - Support #1478: HilbertBasis: clarify Closed 06 Aug 2020

Related to CoCoA-5 - Feature #1596: Add CoCoA5 function  NmzHilbertBasisKer Resolved 14 May 2021

History

#1 - 16 Apr 2013 18:49 - Anna Maria Bigatti

- Status changed from New to Feedback

- % Done changed from 0 to 90

#2 - 05 Dec 2013 18:17 - John Abbott

In an email exchange around 2013-04-17 we discussed names of the fns.

Currently [2013-12-05] they are called HilbertBasisKer and NmzHilbertBasis.

Is this choice a conscious decision?  Or was it simple what happened (without thinking)?

In the emails other suggestions are:

HilbertBasisPositiveKer(M) perhaps too long?

NmzHilbertBasisRows (approved by Bruns) and should there then be a Cols version too?

This has been in feedback for months; can we make an explicit decision, and close?

#3 - 02 Apr 2014 17:33 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#4 - 14 May 2014 16:36 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#5 - 20 May 2014 17:54 - Anna Maria Bigatti
- Status changed from Feedback to Closed

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.1.0 Easter14

- % Done changed from 90 to 100

- Estimated time set to 1.50 h

#6 - 25 Jun 2018 11:27 - Anna Maria Bigatti

- Related to Design #1194: Rename HilbertBasisKer into LinKerHilbertBasis? added

#7 - 06 Aug 2020 16:34 - John Abbott

- Related to Support #1478: HilbertBasis: clarify added

#8 - 14 May 2021 16:50 - Anna Maria Bigatti

- Related to Feature #1596: Add CoCoA5 function  NmzHilbertBasisKer added
